Skip to content

MCP Tools

This document describes API for MCP Tools.

GET /api/mcp/tools/

Returns list of available MCP Tools.

Permissions

Requires authentication.

Request example

Headers

Request Method: GET
Content-Type: application/json
Authorization: JWT access_token

Response

KeyTypeNotes
limitint
offsetint
total_countintTotal number of forms visible to the user (based on permissions).
filtered_countintNumber of forms visible to the user (based on permissions) with filters applied.
nextURL / nullNext page URL (null if there is no next page)
previousURL / nullPrevious page URL (null if there is no previous page)
resultsArrayDescribed in the next table.

Response results array

KeyTypeNotes
namestring
titlestring
vendorstring

Response example

  • Status 200 OK
  • Body
json
{
  "limit": 100,
  "offset": 0,
  "filtered_count": 1,
  "total_count": 20,
  "next": null,
  "previous": null,
  "results": [
    {
      "name": "search_object_classes",
      "title": "Search Object Classes",
      "vendor": "Autologyx"
    }
  ]
}

Sorting

Not supported

Filtering

ParameterPredicatesExample
vendor=, in{build}/api/mcp/tools/?vendor__in=Autologyx

Errors

ErrorResponse codeMessage
Not authenticated401 Unauthorized"detail": "Authentication credentials were not provided."